package com.ruoyi.project.training.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.mapper.TWorkcertificateCbpsMapper;
import com.ruoyi.project.training.domain.TWorkcertificateCbps;
import com.ruoyi.project.training.service.ITWorkcertificateCbpsService;

/**
 * 作业证书一览Service业务层处理
 *
 * @author ruoyi
 * @date 2023-07-14
 */
@Service
public class TWorkcertificateCbpsServiceImpl implements ITWorkcertificateCbpsService
{
    @Autowired
    private TWorkcertificateCbpsMapper tWorkcertificateCbpsMapper;

    /**
     * 查询作业证书一览
     *
     * @param id 作业证书一览ID
     * @return 作业证书一览
     */
    @Override
    public TWorkcertificateCbps selectTWorkcertificateCbpsById(Long id)
    {
        return tWorkcertificateCbpsMapper.selectTWorkcertificateCbpsById(id);
    }

    /**
     * 查询作业证书一览列表
     *
     * @param tWorkcertificateCbps 作业证书一览
     * @return 作业证书一览
     */
    @Override
    public List<TWorkcertificateCbps> selectTWorkcertificateCbpsList(TWorkcertificateCbps tWorkcertificateCbps)
    {
        return tWorkcertificateCbpsMapper.selectTWorkcertificateCbpsList(tWorkcertificateCbps);
    }

    /**
     * 新增作业证书一览
     *
     * @param tWorkcertificateCbps 作业证书一览
     * @return 结果
     */
    @Override
    public int insertTWorkcertificateCbps(TWorkcertificateCbps tWorkcertificateCbps)
    {
        return tWorkcertificateCbpsMapper.insertTWorkcertificateCbps(tWorkcertificateCbps);
    }

    /**
     * 修改作业证书一览
     *
     * @param tWorkcertificateCbps 作业证书一览
     * @return 结果
     */
    @Override
    public int updateTWorkcertificateCbps(TWorkcertificateCbps tWorkcertificateCbps)
    {
        return tWorkcertificateCbpsMapper.updateTWorkcertificateCbps(tWorkcertificateCbps);
    }

    /**
     * 批量删除作业证书一览
     *
     * @param ids 需要删除的作业证书一览ID
     * @return 结果
     */
    @Override
    public int deleteTWorkcertificateCbpsByIds(Long[] ids)
    {
        return tWorkcertificateCbpsMapper.deleteTWorkcertificateCbpsByIds(ids);
    }

    /**
     * 删除作业证书一览信息
     *
     * @param id 作业证书一览ID
     * @return 结果
     */
    @Override
    public int deleteTWorkcertificateCbpsById(Long id)
    {
        return tWorkcertificateCbpsMapper.deleteTWorkcertificateCbpsById(id);
    }
}
